Bug 446749 - Running 'kalarm --list' in a terminal disables upcoming alarms and doesn't list enabled alarms.
Summary: Running 'kalarm --list' in a terminal disables upcoming alarms and doesn't li...
Status: RESOLVED FIXED
Alias: None
Product: kalarm
Classification: Applications
Component: general (show other bugs)
Version: 3.3.2
Platform: Manjaro Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: David Jarvie
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-09 19:55 UTC by Szymon Kaczmarek
Modified: 2021-12-15 18:48 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 21.12.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Szymon Kaczmarek 2021-12-09 19:55:09 UTC
SUMMARY
Running 'kalarm --list' in a terminal disables upcoming alarms and doesn't list enabled alarms.

STEPS TO REPRODUCE
1. have KAlarm running with an alarm scheduled (a command alarm in my case),
2. open a terminal,
3. run 'kalarm --list' (no quotes)

OBSERVED RESULT
1. no output on 'kalarm --list',
2. the scheduled alarm doesn't fire,
3. its "Time To" column turns blank,
4. when trying to make a new alarm, there's a warning about alarms being disabled even though all controls seem to have them enabled,
5. after restarting KAlarm, the alarm fires.

EXPECTED RESULT
'kalarm --list' provides output for scripting and doesn't interfere with executions of alarms. 

SOFTWARE/OS VERSIONS
Operating System: Manjaro Linux
KDE Plasma Version: 5.23.3
KDE Frameworks Version: 5.88.0
Qt Version: 5.15.2
Graphics Platform: X11

Best regards,
Szymon
Comment 1 David Jarvie 2021-12-15 18:45:39 UTC
Git commit a7bb95ab362c41bcab8fa124f3c7aaef067957bf by David Jarvie.
Committed on 15/12/2021 at 18:45.
Pushed by djarvie into branch 'release/21.12'.

Bug 446749: Don't disable alarms after command line action

Alarms were disabled if a KAlarm command line action (e.g. --list,
--edit, --triggerEvent) was executed while KAlarm was already running.

M  +2    -1    Changelog
M  +5    -3    src/kalarmapp.cpp

https://invent.kde.org/pim/kalarm/commit/a7bb95ab362c41bcab8fa124f3c7aaef067957bf
Comment 2 David Jarvie 2021-12-15 18:48:25 UTC
Git commit 2fa2eb288fe6d8110cf9273c6fcdf876eddc6b57 fixed alarms not being listed.

The fixes will be in KAlarm version 3.3.4, which will be released in KDE apps 21.12.1.